package zabbixagent

import (
	"github.com/gin-gonic/gin"
	"net/http"
	"onvif-agent/service/onvif"
)

func ONVIFDeviceDiscovery(c *gin.Context) {
	type ZBXDevice struct {
		Xaddr string `json:"{#XADDR}"`
	}

	arr := make([]ZBXDevice, 0)
	for xaddr := range onvif.Sessions {
		arr = append(arr, ZBXDevice{
			Xaddr: xaddr,
		})
	}

	c.JSON(http.StatusOK, gin.H{
		"data": arr,
	})
}
